<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.6"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: src/Pixel.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.6 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">Pixel.h</div></div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#ifndef _PIXEL_H</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="preprocessor">#define _PIXEL_H</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="structPixel.html">    8</a></span><span class="keyword">struct </span><a class="code hl_struct" href="structPixel.html">Pixel</a> </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>{</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="structPixel.html#a038ad5b3349e7548d17c5d3bec511b94">   10</a></span>    <span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> <a class="code hl_variable" href="structPixel.html#a038ad5b3349e7548d17c5d3bec511b94">r</a>; </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="structPixel.html#a8407845aacf1663d9463475619911686">   11</a></span>    <span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> <a class="code hl_variable" href="structPixel.html#a8407845aacf1663d9463475619911686">g</a>; </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="structPixel.html#a760bdf29b15433d257f119239fcff4d4">   12</a></span>    <span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> <a class="code hl_variable" href="structPixel.html#a760bdf29b15433d257f119239fcff4d4">b</a>; </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="structPixel.html#a27ad99a2f705e635c42d242d530d4756">   17</a></span>    <a class="code hl_function" href="structPixel.html#a27ad99a2f705e635c42d242d530d4756">Pixel</a> () : <a class="code hl_variable" href="structPixel.html#a038ad5b3349e7548d17c5d3bec511b94">r</a>(0), <a class="code hl_variable" href="structPixel.html#a8407845aacf1663d9463475619911686">g</a>(0), <a class="code hl_variable" href="structPixel.html#a760bdf29b15433d257f119239fcff4d4">b</a>(0) {}</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="structPixel.html#ae14440155731c2f7e2073b7bbbd596f3">   25</a></span>    <a class="code hl_function" href="structPixel.html#ae14440155731c2f7e2073b7bbbd596f3">Pixel</a> (<span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> nr, <span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> ng, <span class="keywordtype">unsigned</span> <span class="keywordtype">char</span> nb) : <a class="code hl_variable" href="structPixel.html#a038ad5b3349e7548d17c5d3bec511b94">r</a>(nr) , <a class="code hl_variable" href="structPixel.html#a8407845aacf1663d9463475619911686">g</a>(ng) , <a class="code hl_variable" href="structPixel.html#a760bdf29b15433d257f119239fcff4d4">b</a>(nb) {}</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span> </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>};</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span> </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span><span class="preprocessor">#endif</span></div>
<div class="ttc" id="astructPixel_html"><div class="ttname"><a href="structPixel.html">Pixel</a></div><div class="ttdoc">Represents a pixel with red, green, and blue components.</div><div class="ttdef"><b>Definition:</b> Pixel.h:9</div></div>
<div class="ttc" id="astructPixel_html_a038ad5b3349e7548d17c5d3bec511b94"><div class="ttname"><a href="structPixel.html#a038ad5b3349e7548d17c5d3bec511b94">Pixel::r</a></div><div class="ttdeci">unsigned char r</div><div class="ttdef"><b>Definition:</b> Pixel.h:10</div></div>
<div class="ttc" id="astructPixel_html_a27ad99a2f705e635c42d242d530d4756"><div class="ttname"><a href="structPixel.html#a27ad99a2f705e635c42d242d530d4756">Pixel::Pixel</a></div><div class="ttdeci">Pixel()</div><div class="ttdoc">Default constructor initializing all components to 0.</div><div class="ttdef"><b>Definition:</b> Pixel.h:17</div></div>
<div class="ttc" id="astructPixel_html_a760bdf29b15433d257f119239fcff4d4"><div class="ttname"><a href="structPixel.html#a760bdf29b15433d257f119239fcff4d4">Pixel::b</a></div><div class="ttdeci">unsigned char b</div><div class="ttdef"><b>Definition:</b> Pixel.h:12</div></div>
<div class="ttc" id="astructPixel_html_a8407845aacf1663d9463475619911686"><div class="ttname"><a href="structPixel.html#a8407845aacf1663d9463475619911686">Pixel::g</a></div><div class="ttdeci">unsigned char g</div><div class="ttdef"><b>Definition:</b> Pixel.h:11</div></div>
<div class="ttc" id="astructPixel_html_ae14440155731c2f7e2073b7bbbd596f3"><div class="ttname"><a href="structPixel.html#ae14440155731c2f7e2073b7bbbd596f3">Pixel::Pixel</a></div><div class="ttdeci">Pixel(unsigned char nr, unsigned char ng, unsigned char nb)</div><div class="ttdoc">Constructor initializing the pixel with given color components.</div><div class="ttdef"><b>Definition:</b> Pixel.h:25</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.6
</small></address>
</body>
</html>
